View all methods

repoGroups.get

Retrieve a repo group by ID or reference_id.

The repoGroups API endpoints need to be manually enabled on your DX account. Reach out to your DX account manager to get started.

Facts

Method GET https://yourinstance.getdx.net/api/repoGroups.get

Arguments

If looking up by reference_id:

Name Type Description
token Token Auth token passed as an HTTP header.
reference_id Text The unique reference ID for the repo group.

If looking up by ID:

Name Type Description
token Token Auth token passed as an HTTP header.
id Text Generated unique ID for the repo group.

Usage info

Repo groups allow you to organize repositories into hierarchical groups for filtering purposes in the dashboard. Each repo group can have children repo groups and/or repositories, creating a tree structure for repository organization.

Example request

This is a typical request:

curl https://yourinstance.getdx.net/api/repoGroups.get?reference_id=frontend-team \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Or by ID:

curl https://yourinstance.getdx.net/api/repoGroups.get?id=123 \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Example response

{
  "ok": true,
  "data": {
    "id": 123,
    "reference_id": "frontend-team",
    "name": "Frontend Team",
    "parent_id": 456,
    "row_created_at": "2024-01-01T10:00:00Z",
    "row_updated_at": "2024-01-01T10:00:00Z",
    "repos": [
      {
        "source": "github",
        "external_id": "12345"
      },
      {
        "source": "github",
        "external_id": "67890"
      }
    ]
  }
}